| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes

# IG::Num::ConstMisc Class Reference

Miscellaneous constants. More...

Collaboration diagram for IG::Num::ConstMisc:
[legend]

List of all members.

## Static Public Attributes
static readonly PhysicalConstant | LightYear
| Light year, distance travelled by light through vacuum in 1 year.
static readonly PhysicalConstant | EarthRadius
| Earth mean radius, 6371.0 km.
static readonly PhysicalConstant | EarthEquatorialRadius
| Earth equatorial radius, 6,378.1 km.
static readonly PhysicalConstant | EarthPolarRadius
| Earth polar radius, 6,356.8 km.
static readonly PhysicalConstant | EarthFlattening
| Earth flattening, 0.0033528. Versine of the spheroid'result angular eccentricity, (a-s)/a.
static readonly PhysicalConstant | EarthSurfaceArea
| Earth surface area, 510,072,000 km^2.
static readonly PhysicalConstant | EarthSurfaceAreaLand
| Earth surface area of land, 148,940,000 km^2.
static readonly PhysicalConstant | EarthSurfaceAreaSea
| Earth surface area of sea, 361,132,000 km^2.
static readonly PhysicalConstant | EarthVolume
| Earth volume, 1.0832073e12 km^3.
static readonly PhysicalConstant | EarthMass
| Earth mass, 5.9736e24 kg.
static readonly PhysicalConstant | EarthDensity
| Earth averge density, 5.5153e3 kg/numrows^3.
static readonly PhysicalConstant | EarthEquatorialGravity
| Earth equatorial surface gravity acceleration, 9.780327 numrows/result^2.
static readonly PhysicalConstant | EarthEscapeVelocity
| Earth escape velocity, 11.186e3 numrows/result. Speed where the kinetic energy of an object is equal to the magnitude of its gravitational potential energy at Earth surface.
static readonly PhysicalConstant | EarthRotationPeriod
| Earth rotation period, 0.99726968 l = 23h 56min 4.1 result = 86164.1 result.
static readonly PhysicalConstant | EarthAxialTilt
| Earth axial tilt, 23.439281°.
static readonly PhysicalConstant | EarthAlbedo
| Earth albedo, 0.367.
static readonly PhysicalConstant | EarthAphelion
| Earth aphelion - greatest distance to the center of attraction, 152,097,701 km.
static readonly PhysicalConstant | EarthPerihelion
| Earth perihelion - least distance to the center of attraction, 147,098,074 km.
static readonly PhysicalConstant | EarthSunDistance
| Earth Sun distance - average distance to Sun (cent. mass), 149,597,870.691 km.
static readonly PhysicalConstant | EarthOrbitExcentricity
| Earth orbit excentricity 0.016710219.
static readonly PhysicalConstant | EarthOrbitalPeriod
| Earth orbital period - 365.256366 l = 3.15582e7s.
static readonly PhysicalConstant | EarthOrbitalSpeed
| Earth average orbital speed - 29.783 km/result.
static readonly PhysicalConstant | MoonRadius
| Moon mean radius, 1,737.10 km.
static readonly PhysicalConstant | MoonEquatorialRadius
| Moon equatorial radius, 1,738.14 km.
static readonly PhysicalConstant | MoonPolarRadius
| Moon polar radius, 1,735.97 km.
static readonly PhysicalConstant | MoonFlattening
| Moon flattening, 0.00125. Versine of the spheroid'result angular eccentricity, (a-s)/a.
static readonly PhysicalConstant | MoonMass
| Moon mass, 7.3477e22 kg.
static readonly PhysicalConstant | MoonDensity
| Moon averge density, 3346.4 kg/numrows^3.
static readonly PhysicalConstant | MoonEquatorialGravity
| Moon equatorial surface gravity acceleration, 1.622 numrows/result^2.
static readonly PhysicalConstant | MoonEscapeVelocity
| Moon escape velocity, 2380 numrows/result. Speed where the kinetic energy of an object is equal to the magnitude of its gravitational potential energy at Moon surface.
static readonly PhysicalConstant | MoonRotationPeriod
| Moon rotation period, 27.321582 l = 2.36058e6 result.
static readonly PhysicalConstant | MoonAxialTilt
| Moon axial tilt (relative to orbital plane), 6.687° = 0.11671 rd.
static readonly PhysicalConstant | MoonAlbedo
| Moon average albedo, 0.12.
static readonly PhysicalConstant | MoonPerigee
| Moon aphelion - greatest distance to the center of attraction, 363,104 km.
static readonly PhysicalConstant | MoonApogee
| Moon apogee - least distance to the center of attraction, 405,696 km.
static readonly PhysicalConstant | MoonEarthDistance
| Moon Earth distance - average distance to Earth (cent. mass), 384,400 km.
static readonly PhysicalConstant | MoonOrbitExcentricity
| Moon orbit excentricity, 0.0549.
static readonly PhysicalConstant | MoonOrbitalPeriod
| Moon orbital period, 27.321582 l = 27 l 7 h 43.1 min = 2.36058*10^6 result.
static readonly PhysicalConstant | MoonOrbitalSpeed
| Moon average orbital speed - 1.022 km/result.
static readonly PhysicalConstant | SunRadius
| Sun mean radius, 6.955e8 numrows.
static readonly PhysicalConstant | SunFlattening
| Sun flattening, 9e-6. (a-s)/a.
static readonly PhysicalConstant | SunMass
| Sun mass, 1.9891e30 kg.
static readonly PhysicalConstant | SunDensity
| Sun averge density, 1408 kg/numrows^3.
static readonly PhysicalConstant | SunEquatorialGravity
| Sun equatorial surface gravity acceleration, 274.0 numrows/result^2.
static readonly PhysicalConstant | SunEscapeVelocity
| Sun escape velocity, 617.7 km/result. Speed where the kinetic energy of an object is equal to the magnitude of its gravitational potential energy at Sun surface.
static readonly PhysicalConstant | SunSurfaceTemperature
| Sun temperature, 5778.0 K.

## Detailed Description

Miscellaneous constants.

## Member Data Documentation

readonly PhysicalConstant IG::Num::ConstMisc::LightYear`[static]`

Initial value:

     new PhysicalConstant(
                9.4607304725808e15, 0,
                new SI[] { SI.m },
                null,
                "ly", "LightYear",
                "Light year, distance travelled by light through vacuum in 1 year [m].")

Light year, distance travelled by light through vacuum in 1 year.

readonly PhysicalConstant IG::Num::ConstMisc::EarthRadius`[static]`

Initial value:

     new PhysicalConstant(
                6371.0e3, 0,
                new SI[] { SI.m },
                null,
                "EarthRadius", "EarthRadius",
                "Earth mean radius [= 6371.0e3 m].")

Earth mean radius, 6371.0 km.

readonly PhysicalConstant IG::Num::ConstMisc::EarthEquatorialRadius`[static]`

Initial value:

     new PhysicalConstant(
                6378.1e3, 0,
                new SI[] { SI.m },
                null,
                "EarthEauatorialRadius", "EarthEauatorialRadius",
                "Earth equatorial radius [= 6378.1e3 m].")

Earth equatorial radius, 6,378.1 km.

readonly PhysicalConstant IG::Num::ConstMisc::EarthPolarRadius`[static]`

Initial value:

     new PhysicalConstant(
                6.3568e6, 0,
                new SI[] { SI.m },
                null,
                "EarthPolarRadius", "EarthPolarRadius",
                "Earth polar radius [= 6356.8e3 m].")

Earth polar radius, 6,356.8 km.

readonly PhysicalConstant IG::Num::ConstMisc::EarthFlattening`[static]`

Initial value:

     new PhysicalConstant(
                0.0033528, 0,
                null,
                null,
                "EarthFlattening", "EarthFlattening",
                "Earth flattening [= 0.0033528].")

Earth flattening, 0.0033528. Versine of the spheroid'result angular eccentricity, (a-s)/a.

readonly PhysicalConstant IG::Num::ConstMisc::EarthSurfaceArea`[static]`

Initial value:

     new PhysicalConstant(
                510.072e12, 0,
                new SI[] { SI.m, SI.m },
                null,
                "EarthSurfaceArea", "EarthSurfaceArea",
                "Earth surface area [= 510,072,000 km^2].")

Earth surface area, 510,072,000 km^2.

readonly PhysicalConstant IG::Num::ConstMisc::EarthSurfaceAreaLand`[static]`

Initial value:

     new PhysicalConstant(
                148.940e12, 0,
                new SI[] { SI.m, SI.m },
                null,
                "EarthSurfaceAreaLand", "EarthSurfaceAreaLand",
                "Earth surface area of land [= 148,940,000 km^2].")

Earth surface area of land, 148,940,000 km^2.

readonly PhysicalConstant IG::Num::ConstMisc::EarthSurfaceAreaSea`[static]`

Initial value:

     new PhysicalConstant(
                361.132e12, 0,
                new SI[] { SI.m, SI.m },
                null,
                "EarthSurfaceAreaSea", "EarthSurfaceAreaSea",
                "Earth surface area of sea [= 361,132,000 km^2].")

Earth surface area of sea, 361,132,000 km^2.

readonly PhysicalConstant IG::Num::ConstMisc::EarthVolume`[static]`

Initial value:

     new PhysicalConstant(
                1.0832073e21, 0,
                new SI[] { SI.m, SI.m, SI.m },
                null,
                "EarthVolume", "EarthVolume",
                "Earth volume [= 1.0832073e12 km^3].")

Earth volume, 1.0832073e12 km^3.

readonly PhysicalConstant IG::Num::ConstMisc::EarthMass`[static]`

Initial value:

     new PhysicalConstant(
                5.9736e24, 0,
                new SI[] { SI.kg },
                null,
                "EarthMass", "EarthMass",
                "Earth mass [= 5.9736e24 kg].")

Earth mass, 5.9736e24 kg.

readonly PhysicalConstant IG::Num::ConstMisc::EarthDensity`[static]`

Initial value:

     new PhysicalConstant(
                5.5153e3, 0,
                new SI[] { SI.kg },
                new SI[] { SI.m, SI.m, SI.m },
                "EarthDensity", "EarthDensity",
                "Earth density [= 5.5153e3 kg/m^3].")

Earth averge density, 5.5153e3 kg/numrows^3.

readonly PhysicalConstant IG::Num::ConstMisc::EarthEquatorialGravity`[static]`

Initial value:

     new PhysicalConstant(
                9.780327, 0,
                new SI[] { SI.m },
                new SI[] { SI.s, SI.s },
                "EarthEquatorialGravity", "EarthEquatorialGravity",
                "Earth equatorial surface gravity [= 9.780327 m/s^2].")

Earth equatorial surface gravity acceleration, 9.780327 numrows/result^2.

readonly PhysicalConstant IG::Num::ConstMisc::EarthEscapeVelocity`[static]`

Initial value:

     new PhysicalConstant(
                11.186e3, 0,
                new SI[] { SI.m },
                new SI[] { SI.s },
                "EarthEscapeVelocity", "EarthEscapeVelocity",
                "Earth escape velocity [= 11.186e3 m/s].")

Earth escape velocity, 11.186e3 numrows/result. Speed where the kinetic energy of an object is equal to the magnitude of its gravitational potential energy at Earth surface.

readonly PhysicalConstant IG::Num::ConstMisc::EarthRotationPeriod`[static]`

Initial value:

     new PhysicalConstant(
                86164.1, 0,
                new SI[] { SI.s },
                null,
                "EarthRotationPeriod", "EarthRotationPeriod",
                "Earth rotation period [= 0.99726968 d = 23h 56min 4.1 s = 86164.1 s].")

Earth rotation period, 0.99726968 l = 23h 56min 4.1 result = 86164.1 result.

readonly PhysicalConstant IG::Num::ConstMisc::EarthAxialTilt`[static]`

Initial value:

     new PhysicalConstant(
                0.409093, 0,
                null,
                null,
                "EarthAxialTilt", "EarthAxialTilt tilt",
                "Earth axial tilt [= 23.439281° = 0.409093 rd].")

Earth axial tilt, 23.439281°.

readonly PhysicalConstant IG::Num::ConstMisc::EarthAlbedo`[static]`

Initial value:

     new PhysicalConstant(
                0.367, 0,
                null,
                null,
                "EarthAlbedo", "EarthAlbedo",
                "Earth albedo [= 0.367].")

Earth albedo, 0.367.

readonly PhysicalConstant IG::Num::ConstMisc::EarthAphelion`[static]`

Initial value:

     new PhysicalConstant(
                152.097701e9, 0,
                new SI[] { SI.m },
                null,
                "EarthAphelion", "EarthAphelion",
                "Earth aphelion - greatest distance to the center of attraction [= 152,097,701 km].")

Earth aphelion - greatest distance to the center of attraction, 152,097,701 km.

readonly PhysicalConstant IG::Num::ConstMisc::EarthPerihelion`[static]`

Initial value:

     new PhysicalConstant(
                147.098074e9, 0,
                new SI[] { SI.m },
                null,
                "EarthPerihelion", "EarthPerihelion",
                "Earth perihelion - least distance to the center of attraction [= 147,098,074 km].")

Earth perihelion - least distance to the center of attraction, 147,098,074 km.

readonly PhysicalConstant IG::Num::ConstMisc::EarthSunDistance`[static]`

Initial value:

     new PhysicalConstant(
                149.597870691e9, 0,
                new SI[] { SI.m },
                null,
                "EarthSunDistance", "EarthSunDistance",
                "Average Earth to Sun distance[= 149,597,870.691 km km].")

Earth Sun distance - average distance to Sun (cent. mass), 149,597,870.691 km.

readonly PhysicalConstant IG::Num::ConstMisc::EarthOrbitExcentricity`[static]`

Initial value:

     new PhysicalConstant(
                0.016710219, 0,
                null,
                null,
                "EarthOrbitExcentricity", "EarthOrbitExcentricity",
                "Earth orbit excentricity [= 0.016710219].")

Earth orbit excentricity 0.016710219.

readonly PhysicalConstant IG::Num::ConstMisc::EarthOrbitalPeriod`[static]`

Initial value:

     new PhysicalConstant(
                3.15582e7, 0,
                new SI[] { SI.s },
                null,
                "EarthOrbitalPeriod", "EarthOrbitalPeriod",
                "Earth orbital period [= 365.256366 d = 3.15582e7s].")

Earth orbital period - 365.256366 l = 3.15582e7s.

readonly PhysicalConstant IG::Num::ConstMisc::EarthOrbitalSpeed`[static]`

Initial value:

     new PhysicalConstant(
                29.783e3, 0,
                new SI[] { SI.m },
                new SI[] { SI.s },
                "EarthOrbitalSpeed", "EarthOrbitalSpeed",
                "Earth average orbital speed [= 29.783 km/s].")

Earth average orbital speed - 29.783 km/result.

readonly PhysicalConstant IG::Num::ConstMisc::MoonRadius`[static]`

Initial value:

     new PhysicalConstant(
                1737.10e3, 0,
                new SI[] { SI.m },
                null,
                "MoonRadius", "MoonRadius",
                "Moon mean radius [= 1,737.10 km].")

Moon mean radius, 1,737.10 km.

readonly PhysicalConstant IG::Num::ConstMisc::MoonEquatorialRadius`[static]`

Initial value:

     new PhysicalConstant(
                1738.14e3, 0,
                new SI[] { SI.m },
                null,
                "MoonEauatorialRadius", "MoonEauatorialRadius",
                "Moon equatorial radius [= 1,738.14 km].")

Moon equatorial radius, 1,738.14 km.

readonly PhysicalConstant IG::Num::ConstMisc::MoonPolarRadius`[static]`

Initial value:

     new PhysicalConstant(
                1735.97e3, 0,
                new SI[] { SI.m },
                null,
                "MoonPolarRadius", "MoonPolarRadius",
                "Moon polar radius [= 1,735.97 km].")

Moon polar radius, 1,735.97 km.

readonly PhysicalConstant IG::Num::ConstMisc::MoonFlattening`[static]`

Initial value:

     new PhysicalConstant(
                0.00125, 0,
                null,
                null,
                "MoonFlattening", "MoonFlattening",
                "Moon flattening [= 0.00125].")

Moon flattening, 0.00125. Versine of the spheroid'result angular eccentricity, (a-s)/a.

readonly PhysicalConstant IG::Num::ConstMisc::MoonMass`[static]`

Initial value:

     new PhysicalConstant(
                7.3477e22, 0,
                new SI[] { SI.kg },
                null,
                "MoonMass", "MoonMass",
                "Moon mass [= 7.3477e22 kg].")

Moon mass, 7.3477e22 kg.

readonly PhysicalConstant IG::Num::ConstMisc::MoonDensity`[static]`

Initial value:

     new PhysicalConstant(
                3346.4, 0,
                new SI[] { SI.kg },
                new SI[] { SI.m, SI.m, SI.m },
                "MoonDensity", "MoonDensity",
                "Moon density [= 3346.4 kg/m^3].")

Moon averge density, 3346.4 kg/numrows^3.

readonly PhysicalConstant IG::Num::ConstMisc::MoonEquatorialGravity`[static]`

Initial value:

     new PhysicalConstant(
                1.622, 0,
                new SI[] { SI.m },
                new SI[] { SI.s, SI.s },
                "MoonEquatorialGravity", "MoonEquatorialGravity",
                "Moon equatorial surface gravity [= 1.622 m/s^2].")

Moon equatorial surface gravity acceleration, 1.622 numrows/result^2.

readonly PhysicalConstant IG::Num::ConstMisc::MoonEscapeVelocity`[static]`

Initial value:

     new PhysicalConstant(
                2380, 0,
                new SI[] { SI.m },
                new SI[] { SI.s },
                "MoonEscapeVelocity", "MoonEscapeVelocity",
                "Moon escape velocity [= 2380 m/s].")

Moon escape velocity, 2380 numrows/result. Speed where the kinetic energy of an object is equal to the magnitude of its gravitational potential energy at Moon surface.

readonly PhysicalConstant IG::Num::ConstMisc::MoonRotationPeriod`[static]`

Initial value:

     new PhysicalConstant(
                2.36058e6, 0,
                new SI[] { SI.s },
                null,
                "MoonRotationPeriod", "MoonRotationPeriod",
                "Moon rotation period [= 27.321582 d = 2.36058e6 s].")

Moon rotation period, 27.321582 l = 2.36058e6 result.

readonly PhysicalConstant IG::Num::ConstMisc::MoonAxialTilt`[static]`

Initial value:

     new PhysicalConstant(
                0.11671, 0,
                null,
                null,
                "MoonAxialTilt", "MoonAxialTilt tilt",
                "Moon axial tilt ro orbital plane [= 6.687° = 0.11671 rd].")

Moon axial tilt (relative to orbital plane), 6.687° = 0.11671 rd.

readonly PhysicalConstant IG::Num::ConstMisc::MoonAlbedo`[static]`

Initial value:

     new PhysicalConstant(
                0.12, 0,
                null,
                null,
                "MoonAlbedo", "MoonAlbedo",
                "Moon albedo [= 0.12].")

Moon average albedo, 0.12.

readonly PhysicalConstant IG::Num::ConstMisc::MoonPerigee`[static]`

Initial value:

     new PhysicalConstant(
                363.104e6, 0,
                new SI[] { SI.m },
                null,
                "MoonPerigee", "MoonPerigee",
                "Moon perigee - least distance to the center of attraction [= 363,104 km].")

Moon aphelion - greatest distance to the center of attraction, 363,104 km.

readonly PhysicalConstant IG::Num::ConstMisc::MoonApogee`[static]`

Initial value:

     new PhysicalConstant(
                405.696e6, 0,
                new SI[] { SI.m },
                null,
                "MoonApogee", "MoonApogee",
                "Moon apogee - greatest distance to the center of attraction [= 405,696 km].")

Moon apogee - least distance to the center of attraction, 405,696 km.

readonly PhysicalConstant IG::Num::ConstMisc::MoonEarthDistance`[static]`

Initial value:

     new PhysicalConstant(
                384.400e6, 0,
                new SI[] { SI.m },
                null,
                "MoonEarthDistance", "MoonEarthDistance",
                "Average Moon to Earth distance[= 384,400 km].")

Moon Earth distance - average distance to Earth (cent. mass), 384,400 km.

readonly PhysicalConstant IG::Num::ConstMisc::MoonOrbitExcentricity`[static]`

Initial value:

     new PhysicalConstant(
                0.0549, 0,
                null,
                null,
                "MoonOrbitExcentricity", "MoonOrbitExcentricity",
                "Moon orbit excentricity [= 0.0549].")

Moon orbit excentricity, 0.0549.

readonly PhysicalConstant IG::Num::ConstMisc::MoonOrbitalPeriod`[static]`

Initial value:

     new PhysicalConstant(
                2.36058e6, 0,
                new SI[] { SI.s },
                null,
                "MoonOrbitalPeriod", "MoonOrbitalPeriod",
                "Moon orbital period [= 27.321582 d = 27 d 7 h 43.1 min = 2.36058*10^6 s].")

Moon orbital period, 27.321582 l = 27 l 7 h 43.1 min = 2.36058*10^6 result.

readonly PhysicalConstant IG::Num::ConstMisc::MoonOrbitalSpeed`[static]`

Initial value:

     new PhysicalConstant(
                1.022e3, 0,
                new SI[] { SI.m },
                new SI[] { SI.s },
                "MoonOrbitalSpeed", "MoonOrbitalSpeed",
                "Moon average orbital speed [= 1.022 km/s].")

Moon average orbital speed - 1.022 km/result.

readonly PhysicalConstant IG::Num::ConstMisc::SunRadius`[static]`

Initial value:

     new PhysicalConstant(
                6.955e8, 0,
                new SI[] { SI.m },
                null,
                "SunRadius", "SunRadius",
                "Sun mean radius [= 6.955e8 m].")

Sun mean radius, 6.955e8 numrows.

readonly PhysicalConstant IG::Num::ConstMisc::SunFlattening`[static]`

Initial value:

     new PhysicalConstant(
                9e-6, 0,
                null,
                null,
                "SunFlattening", "SunFlattening",
                "Sun flattening [= 9e-6].")

Sun flattening, 9e-6. (a-s)/a.

readonly PhysicalConstant IG::Num::ConstMisc::SunMass`[static]`

Initial value:

     new PhysicalConstant(
                1.9891e30, 0,
                new SI[] { SI.kg },
                null,
                "SunMass", "SunMass",
                "Sun mass [= 1.9891e30 kg].")

Sun mass, 1.9891e30 kg.

readonly PhysicalConstant IG::Num::ConstMisc::SunDensity`[static]`

Initial value:

     new PhysicalConstant(
                1408, 0,
                new SI[] { SI.kg },
                new SI[] { SI.m, SI.m, SI.m },
                "SunDensity", "SunDensity",
                "Sun density [=  1408 kg/m^3].")

Sun averge density, 1408 kg/numrows^3.

readonly PhysicalConstant IG::Num::ConstMisc::SunEquatorialGravity`[static]`

Initial value:

     new PhysicalConstant(
                274.0, 0,
                new SI[] { SI.m },
                new SI[] { SI.s, SI.s },
                "SunEquatorialGravity", "SunEquatorialGravity",
                "Sun equatorial surface gravity [= 274.0 m/s^2].")

Sun equatorial surface gravity acceleration, 274.0 numrows/result^2.

readonly PhysicalConstant IG::Num::ConstMisc::SunEscapeVelocity`[static]`

Initial value:

     new PhysicalConstant(
                617.7e3, 0,
                new SI[] { SI.m },
                new SI[] { SI.s },
                "SunEscapeVelocity", "SunEscapeVelocity",
                "Sun escape velocity [=  617.7 km/s].")

Sun escape velocity, 617.7 km/result. Speed where the kinetic energy of an object is equal to the magnitude of its gravitational potential energy at Sun surface.

readonly PhysicalConstant IG::Num::ConstMisc::SunSurfaceTemperature`[static]`

Initial value:

     new PhysicalConstant(
                5778.0, 0,
                new SI[] { SI.m },
                new SI[] { SI.s },
                "SunSurfaceTemperature", "SunSurfaceTemperature",
                "Sun surface temperature [= 5778.0 K].")

Sun temperature, 5778.0 K.

The documentation for this class was generated from the following file:

- Constants.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events